FalconryScale
DevelopersAPI reference

Star or unstar a food item

Marks a food item (built-in or custom) as one of the caller’s favourites, or removes the star.

POST
/food-items/{foodItemId}/favorite

Authorization

bearerAuth
headerAuthorizationBearer <token>

A Clerk user API key or OAuth access token carrying the falconry:read and/or falconry:write scope.

Path Parameters

foodItemId*string

A food item's id, from list_food_items.

Lengthlength <= 64

Request Body

application/json
  1. body
isFavorite*boolean

Response Body

Star or unstar a food item

application/json
  1. response
ok*boolean
Example Request
curl -X POST 'https://app.falconryscale.com/api/v1/food-items/string/favorite' \
  -H 'Content-Type: application/json' \
  -d '{
  "isFavorite": true
}'
Example Response
{
  "ok": true
}